#include "Client.h"

#include <iostream>

class Server : public Application {
public:
	virtual void initialize(int argc, char ** argv) {
		Application::initialize(argc, argv);
		setMaster(true);
	}
};

int main(int argc, char ** argv) {
	try {
		Client app;
		app.initialize(argc, argv);
		while (app.isRunning())
			app.update();
		app.shutdown();
		return 0;
	} catch (const char *str) {
		std::cerr << "Exception: " << str << std::endl;
		return 1;
	} catch (const std::exception &e) {
		std::cerr << "Exception: " << e.what() << std::endl;
		return 1;
	}
}

